{
  "name": "奉化数字门牌",
  "appid": "",
  "description": "",
  "versionName": "1.0.0",
  "versionCode": "100",
  "transformPx": false,
  "app-plus": {
    /* 5+App特有相关 */ "usingComponents": true,
    "splashscreen": {
      "alwaysShowBeforeRender": true,
      "waiting": true,
      "autoclose": true,
      "delay": 0
    },
    "modules": {
      /* 模块配置 */
    },
    "distribute": {
      /* 应用发布信息 */
      "android": {
        /* android打包配置 */
        "permissions": [
          "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
          "<uses-permission android:name=\"android.permission.READ_CONTACTS\"/>",
          "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
          "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
          "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
          "<uses-permission android:name=\"android.permission.WRITE_CONTACTS\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CAMERA\"/>",
          "<uses-permission android:name=\"android.permission.RECORD_AUDIO\"/>",
          "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
          "<uses-permission android:name=\"android.permission.MODIFY_AUDIO_SETTINGS\"/>",
          "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
          "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
          "<uses-permission android:name=\"android.permission.CALL_PHONE\"/>",
          "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_COARSE_LOCATION\"/>",
          "<uses-feature android:name=\"android.hardware.camera\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_FINE_LOCATION\"/>",
          "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
        ]
      },
      "ios": {
        /* ios打包配置 */
      },
      "sdkConfigs": {
        /* SDK配置 */
      }
    }
  },
  "quickapp": {
    /* 快应用特有相关 */
  },
  "mp-weixin": {
    /* 微信小程序特有相关 */ "appid": "wxe5ac54a433483685",
    "setting": {
      "urlCheck": false
    },
    "usingComponents": true,
    "optimization": {
      "subPackages": true
    },
    "permission": {
      "scope.userLocation": {
        "desc": "允许小程序获取位置信息,提供周边服务"
      }
    },
    "requiredPrivateInfos": ["chooseLocation", "getLocation"]
  },
  "mp-alipay": {
    "usingComponents": true
  },
  "mp-baidu": {
    "usingComponents": true
  },
  "mp-toutiao": {
    "usingComponents": true
  },
  "mp-qq": {
    "usingComponents": true
  },
  "h5": {
    "sdkConfigs": {
      // 使用地图或位置相关功能必须填写其一
      "maps": {
        "qqmap": {
          "key": "ZA2BZ-CIVCD-VZZ4M-PQD2X-V6YBJ-NBFXT"
        }
      }
    },
    "devServer": {
      "port": 8888,
      "proxy": {
        "/digital-doorplate": {
          "target": "http://172.18.50.88:8070",
          "changeOrigin": true
        },
        "/v3/geocode/geo":{
          "target": "https://restapi.amap.com",
          "changeOrigin": true
        }
      },
      "disableHostCheck": true
    },
    "publicPath": "./",
    "router": {
      "mode": "hash",
      "base": "./"
    }
  }
}
